<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

<div class="container">
  <h1 class="mb-4">Add a Movie</h1>
  <form>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="Enter a movie title" name="searchInput" [(ngModel)]="title" (keyup.enter)="searchForMovies(title)">
      <div class="input-group-append">
        <button class="btn btn-primary" type="button" (click)="searchForMovies(title)">Search</button>
      </div>
    </div>
  </form>
  <div class="movie-grid">
    <div *ngFor="let movie of searchResults" class="movie-card">
      <img class="movie-poster" [src]="movie.posterUrl" alt="Movie Poster not available">
      <button class="add-btn" (click)="addToLibrary(movie)">
        <i class="fas fa-plus"></i>
      </button>
      <div class="movie-info">
        <h3>{{ movie.title }} <small *ngIf="!!movie.release">({{ movie.release }})</small></h3>
      </div>
    </div>
  </div>
  <p *ngIf="!searchResults.length">No movies found.</p>
</div>

<div *ngIf="isLoading">
  <br>
  <mat-progress-bar mode="indeterminate"></mat-progress-bar>
</div>
